Subject: bug#32591: 26.1; Ido-find-file does not intuitiely support tramp

From: Joshua Branson <[email-masked]>
Date: Thu, 30 Aug 2018 10:30:54 -0400

I'm using Emacs version 26.1.  I've noticed that when I try to open a
remote file via ssh with tramp and ido-find-file, ido mode doesn't seem
to know that I want to use tramp, and instead tries to create a local
file.  This bug describes two problems:

1)  Default Emacs Tramp and Ido mode have non-intuitive ways of
searching for a remote file.

M-x ido-find-file 

"Find File: ~//ssh:joshua@localhost#2222"  TAB does not prompt me for a
password.  Instead I just see "[No Match]".

2)  Default Emacs Tramp and Ido mode have non-intuitive ways of opening
remote files.

M-x ido-find-file

"Find File: ~//ssh:joshua@localhost#2222:/home/joshua/hello"

Sometimes opens a local file instead of opening a remote file.  I can't
reliably reproduce this behavior though.

3)  Ido grays out the initial "~/" if one starts to type out tramp
syntax, but un-greys out those characters when it shouldn't.

Type the following in ido-find-file

"Find File:  ~//ssh:joshua@localhost#2222"

"~/" is greyed out.

Type a : to specify a path and watch the "~/" get un-greyed out.

You can probably stop reading this bug report now.  The following is
just a ramble of how I discovered these problems:

I have a virtual machine running at localhost port 2222.  I'm not sure
where the remote file is, but that's ok, emacs can open remote
directories with dired!  I'll just browse the remote directory! 

M-x ido-find-file

"Find File:  ~//ssh:joshua@localhost#2222"  TAB

The Initial characters "~/" are greyed out.  So Emacs is recognizing
that I want to browse a remote file.  Cool. I'm expecting that Emacs
will prompt me for a password, and then offer me suggestions of
remote directories at the remote HOME directory.  This doesn't happen.

Instead I see this error:

[No match]

No problem I'll try again.  C-g C-g

I try a couple of times I get can't get in.  I receive a couple of
connection refused errors.  Ok this is silly.  I decide to connect
in via a terminal.  "ssh ssh://joshua@localhost:2222".  This works.

So now I'm trying to figure out what Tramp is doing wrong...

The input lines initially shows "Find File: ~/"

So I start typing via "/"

Now I see "Find file: ~//"  AND the "~/" characters are grayed out.  So
far so good.

Then I type in the rest until Emacs shows this:

"Find File: ~//ssh:joshua@localhost#2222"

Again, the "~/" is greyed out, but when I typed a ":" to specify a path
to file the "~/" is not greyed out anymore and emacs thinks I'm trying
to open a local file.  If I keep typing, I'll get this:

"Find File: ~//ssh:joshua@localhost#2222:/home/joshua/hello"

pressing RET, makes Emacs open a local file.  Not what I intended.

This happened a few times, but when I tried to reproduce this behavior,
Emacs opened the remote file.  If I can reproduce this behavior again,
I'll try to.

So I tried again,

"Find File: ~//ssh:joshua@localhost#2222"   RET

The "~/" is greyed out.  So tramp will open the remote file right?

Wrong.  Instead I get this error:

"File not found and directory write protected."

I understand, I did not specify a path for tramp, but can't ido tell
tramp that to look into the remote HOME by default?

Thanks for listening

In GNU Emacs 26.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.30)
 of 2018-07-05 built on juergen
Windowing system distributor 'The X.Org Foundation', version 11.0.12001000
Recent messages:
Opening connection to imap.fastmail.com...done
nnimap read 0k from imap.fastmail.com
Reading active file via nndraft...done
Checking new news...done
nnimap read 0k from imap.fastmail.com
Mark all unread articles as read? (y or n) y
nnimap read 0k from imap.fastmail.com [3 times]
previous-line: Beginning of buffer
nnimap read 0k from imap.fastmail.com
Auto-saving...done

Configured using:
 'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
 --localstatedir=/var --with-x-toolkit=gtk3 --with-xft --with-modules
 'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong
 -fno-plt' CPPFLAGS=-D_FORTIFY_SOURCE=2
 LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY
ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11 MODULES THREADS LIBSYSTEMD LCMS2

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8

Major mode: Org

Minor modes in effect:
  helm-mode: t
  async-bytecomp-package-mode: t
  global-display-line-numbers-mode: t
  display-line-numbers-mode: t
  show-paren-mode: t
  global-aggressive-indent-mode: t
  recentf-mode: t
  global-company-mode: t
  company-mode: t
  jabber-activity-mode: t
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-networks-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  global-hl-line-mode: t
  diff-auto-refine-mode: t
  auto-insert-mode: t
  org-indent-mode: t
  flycheck-status-emoji-mode: t
  flycheck-pos-tip-mode: t
  flycheck-color-mode-line-mode: t
  global-flycheck-mode: t
  flycheck-mode: t
  save-place-mode: t
  dired-async-mode: t
  helm-flx-mode: t
  electric-pair-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  which-key-mode: t
  global-auto-revert-mode: t
  evil-goggles-mode: t
  global-evil-surround-mode: t
  evil-surround-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  flyspell-mode: t
  shell-dirtrack-mode: t
  evil-mode: t
  evil-local-mode: t
  override-global-mode: t
  cl-old-struct-compat-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  global-prettify-symbols-mode: t
  prettify-symbols-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  global-visual-line-mode: t
  visual-line-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Load-path shadows:
/home/joshua/.emacs.d/lisp/all-the-icons hides /home/joshua/.emacs.d/elpa/all-the-icons-20180125.757/all-the-icons
/home/joshua/.emacs.d/lisp/org-notify hides /home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-notify
/home/joshua/.emacs.d/elpa/less-css-mode-20160930.2153/less-css-mode hides /usr/share/emacs/26.1/lisp/textmodes/less-css-mode
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ox hides /usr/share/emacs/26.1/lisp/org/ox
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ox-texinfo hides /usr/share/emacs/26.1/lisp/org/ox-texinfo
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ox-publish hides /usr/share/emacs/26.1/lisp/org/ox-publish
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ox-org hides /usr/share/emacs/26.1/lisp/org/ox-org
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ox-odt hides /usr/share/emacs/26.1/lisp/org/ox-odt
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ox-md hides /usr/share/emacs/26.1/lisp/org/ox-md
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ox-man hides /usr/share/emacs/26.1/lisp/org/ox-man
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ox-latex hides /usr/share/emacs/26.1/lisp/org/ox-latex
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ox-icalendar hides /usr/share/emacs/26.1/lisp/org/ox-icalendar
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ox-html hides /usr/share/emacs/26.1/lisp/org/ox-html
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ox-beamer hides /usr/share/emacs/26.1/lisp/org/ox-beamer
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ox-ascii hides /usr/share/emacs/26.1/lisp/org/ox-ascii
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org hides /usr/share/emacs/26.1/lisp/org/org
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-w3m hides /usr/share/emacs/26.1/lisp/org/org-w3m
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-version hides /usr/share/emacs/26.1/lisp/org/org-version
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-timer hides /usr/share/emacs/26.1/lisp/org/org-timer
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-table hides /usr/share/emacs/26.1/lisp/org/org-table
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-src hides /usr/share/emacs/26.1/lisp/org/org-src
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-rmail hides /usr/share/emacs/26.1/lisp/org/org-rmail
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-protocol hides /usr/share/emacs/26.1/lisp/org/org-protocol
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-plot hides /usr/share/emacs/26.1/lisp/org/org-plot
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-pcomplete hides /usr/share/emacs/26.1/lisp/org/org-pcomplete
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-mouse hides /usr/share/emacs/26.1/lisp/org/org-mouse
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-mobile hides /usr/share/emacs/26.1/lisp/org/org-mobile
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-mhe hides /usr/share/emacs/26.1/lisp/org/org-mhe
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-macs hides /usr/share/emacs/26.1/lisp/org/org-macs
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-macro hides /usr/share/emacs/26.1/lisp/org/org-macro
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-loaddefs hides /usr/share/emacs/26.1/lisp/org/org-loaddefs
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-list hides /usr/share/emacs/26.1/lisp/org/org-list
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-lint hides /usr/share/emacs/26.1/lisp/org/org-lint
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-irc hides /usr/share/emacs/26.1/lisp/org/org-irc
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-install hides /usr/share/emacs/26.1/lisp/org/org-install
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-inlinetask hides /usr/share/emacs/26.1/lisp/org/org-inlinetask
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-info hides /usr/share/emacs/26.1/lisp/org/org-info
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-indent hides /usr/share/emacs/26.1/lisp/org/org-indent
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-id hides /usr/share/emacs/26.1/lisp/org/org-id
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-habit hides /usr/share/emacs/26.1/lisp/org/org-habit
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-gnus hides /usr/share/emacs/26.1/lisp/org/org-gnus
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-footnote hides /usr/share/emacs/26.1/lisp/org/org-footnote
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-feed hides /usr/share/emacs/26.1/lisp/org/org-feed
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-faces hides /usr/share/emacs/26.1/lisp/org/org-faces
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-eww hides /usr/share/emacs/26.1/lisp/org/org-eww
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-eshell hides /usr/share/emacs/26.1/lisp/org/org-eshell
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-entities hides /usr/share/emacs/26.1/lisp/org/org-entities
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-element hides /usr/share/emacs/26.1/lisp/org/org-element
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-duration hides /usr/share/emacs/26.1/lisp/org/org-duration
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-docview hides /usr/share/emacs/26.1/lisp/org/org-docview
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-datetree hides /usr/share/emacs/26.1/lisp/org/org-datetree
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-ctags hides /usr/share/emacs/26.1/lisp/org/org-ctags
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-crypt hides /usr/share/emacs/26.1/lisp/org/org-crypt
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-compat hides /usr/share/emacs/26.1/lisp/org/org-compat
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-colview hides /usr/share/emacs/26.1/lisp/org/org-colview
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-clock hides /usr/share/emacs/26.1/lisp/org/org-clock
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-capture hides /usr/share/emacs/26.1/lisp/org/org-capture
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-bibtex hides /usr/share/emacs/26.1/lisp/org/org-bibtex
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-bbdb hides /usr/share/emacs/26.1/lisp/org/org-bbdb
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-attach hides /usr/share/emacs/26.1/lisp/org/org-attach
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-archive hides /usr/share/emacs/26.1/lisp/org/org-archive
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/org-agenda hides /usr/share/emacs/26.1/lisp/org/org-agenda
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob hides /usr/share/emacs/26.1/lisp/org/ob
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-vala hides /usr/share/emacs/26.1/lisp/org/ob-vala
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-tangle hides /usr/share/emacs/26.1/lisp/org/ob-tangle
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-table hides /usr/share/emacs/26.1/lisp/org/ob-table
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-stan hides /usr/share/emacs/26.1/lisp/org/ob-stan
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-sqlite hides /usr/share/emacs/26.1/lisp/org/ob-sqlite
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-sql hides /usr/share/emacs/26.1/lisp/org/ob-sql
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-shen hides /usr/share/emacs/26.1/lisp/org/ob-shen
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-shell hides /usr/share/emacs/26.1/lisp/org/ob-shell
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-sed hides /usr/share/emacs/26.1/lisp/org/ob-sed
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-screen hides /usr/share/emacs/26.1/lisp/org/ob-screen
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-scheme hides /usr/share/emacs/26.1/lisp/org/ob-scheme
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-sass hides /usr/share/emacs/26.1/lisp/org/ob-sass
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-ruby hides /usr/share/emacs/26.1/lisp/org/ob-ruby
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-ref hides /usr/share/emacs/26.1/lisp/org/ob-ref
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-python hides /usr/share/emacs/26.1/lisp/org/ob-python
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-processing hides /usr/share/emacs/26.1/lisp/org/ob-processing
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-plantuml hides /usr/share/emacs/26.1/lisp/org/ob-plantuml
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-picolisp hides /usr/share/emacs/26.1/lisp/org/ob-picolisp
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-perl hides /usr/share/emacs/26.1/lisp/org/ob-perl
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-org hides /usr/share/emacs/26.1/lisp/org/ob-org
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-octave hides /usr/share/emacs/26.1/lisp/org/ob-octave
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-ocaml hides /usr/share/emacs/26.1/lisp/org/ob-ocaml
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-mscgen hides /usr/share/emacs/26.1/lisp/org/ob-mscgen
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-maxima hides /usr/share/emacs/26.1/lisp/org/ob-maxima
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-matlab hides /usr/share/emacs/26.1/lisp/org/ob-matlab
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-makefile hides /usr/share/emacs/26.1/lisp/org/ob-makefile
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-lua hides /usr/share/emacs/26.1/lisp/org/ob-lua
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-lob hides /usr/share/emacs/26.1/lisp/org/ob-lob
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-lisp hides /usr/share/emacs/26.1/lisp/org/ob-lisp
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-lilypond hides /usr/share/emacs/26.1/lisp/org/ob-lilypond
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-ledger hides /usr/share/emacs/26.1/lisp/org/ob-ledger
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-latex hides /usr/share/emacs/26.1/lisp/org/ob-latex
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-keys hides /usr/share/emacs/26.1/lisp/org/ob-keys
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-js hides /usr/share/emacs/26.1/lisp/org/ob-js
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-java hides /usr/share/emacs/26.1/lisp/org/ob-java
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-io hides /usr/share/emacs/26.1/lisp/org/ob-io
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-hledger hides /usr/share/emacs/26.1/lisp/org/ob-hledger
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-haskell hides /usr/share/emacs/26.1/lisp/org/ob-haskell
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-groovy hides /usr/share/emacs/26.1/lisp/org/ob-groovy
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-gnuplot hides /usr/share/emacs/26.1/lisp/org/ob-gnuplot
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-fortran hides /usr/share/emacs/26.1/lisp/org/ob-fortran
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-forth hides /usr/share/emacs/26.1/lisp/org/ob-forth
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-exp hides /usr/share/emacs/26.1/lisp/org/ob-exp
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-eval hides /usr/share/emacs/26.1/lisp/org/ob-eval
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-emacs-lisp hides /usr/share/emacs/26.1/lisp/org/ob-emacs-lisp
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-ebnf hides /usr/share/emacs/26.1/lisp/org/ob-ebnf
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-dot hides /usr/share/emacs/26.1/lisp/org/ob-dot
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-ditaa hides /usr/share/emacs/26.1/lisp/org/ob-ditaa
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-css hides /usr/share/emacs/26.1/lisp/org/ob-css
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-core hides /usr/share/emacs/26.1/lisp/org/ob-core
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-coq hides /usr/share/emacs/26.1/lisp/org/ob-coq
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-comint hides /usr/share/emacs/26.1/lisp/org/ob-comint
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-clojure hides /usr/share/emacs/26.1/lisp/org/ob-clojure
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-calc hides /usr/share/emacs/26.1/lisp/org/ob-calc
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-awk hides /usr/share/emacs/26.1/lisp/org/ob-awk
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-asymptote hides /usr/share/emacs/26.1/lisp/org/ob-asymptote
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-abc hides /usr/share/emacs/26.1/lisp/org/ob-abc
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-R hides /usr/share/emacs/26.1/lisp/org/ob-R
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-J hides /usr/share/emacs/26.1/lisp/org/ob-J
/home/joshua/.emacs.d/elpa/org-plus-contrib-20180604/ob-C hides /usr/share/emacs/26.1/lisp/org/ob-C

Features:
(shadow emacsbug magit-utils jka-compr python js sql view
all-the-icons-dired all-the-icons all-the-icons-faces data-material
data-weathericons data-octicons data-fileicons data-faicons
data-alltheicons memoize files-x tramp-cmds tramp-cache tramp-sh
cua-base misearch multi-isearch helm-x-files helm-for-files tabify imenu
woman helm-man helm-bookmark helm-adaptive bookmark helm-external
helm-net url url-proxy url-privacy url-expand url-methods url-history
url-cookie url-domsuf tramp tramp-compat tramp-loaddefs trampver
ucs-normalize ffap ido url-util shr svg browse-url nnfolder mailalias
sort sh-script smie smiley gnus-cite mm-archive mail-extr gnus-async
gnus-bcklg qp gnus-ml cursor-sensor utf-7 nndraft nnmh bbdb-gnus
gnus-agent gnus-srvr gnus-score score-mode nnvirtual gnus-msg gnus-art
mm-uu mml2015 mm-view mml-smime smime dig gnus-cache org-clock winner
flx helm-command helm-elisp helm-eval edebug helm-info helm-mode
helm-files helm-buffers helm-tags helm-locate helm-grep helm-regexp
helm-utils helm-help helm-types helm-config helm-easymenu async-bytecomp
helm helm-source eieio-compat helm-multi-match helm-lib executable s
jabber-keepalive jabber-ping sasl-scram-rfc sasl-scram-sha-1 rfc2104
hex-util rainbow-delimiters diff-hl vc-dir vc vc-dispatcher hideshow
display-line-numbers paren aggressive-indent recentf tree-widget
company-yasnippet company-oddmuse company-keywords company-etags etags
xref project company-gtags company-dabbrev-code company-dabbrev
company-files company-capf company-cmake company-xcode company-clang
company-semantic company-eclim company-template company-bbdb company
pcase jabber jabber-notifications notifications jabber-libnotify dbus
jabber-awesome jabber-osd jabber-wmii jabber-xmessage jabber-festival
jabber-sawfish jabber-ratpoison jabber-tmux jabber-screen jabber-socks5
jabber-ft-server jabber-si-server jabber-ft-client jabber-ft-common
jabber-si-client jabber-si-common jabber-feature-neg jabber-truncate
jabber-time jabber-autoaway jabber-vcard-avatars jabber-chatstates
jabber-events jabber-vcard jabber-avatar mailcap jabber-activity
jabber-watch jabber-modeline jabber-ahc-presence jabber-ahc
jabber-version jabber-ourversion jabber-muc-nick-completion hippie-exp
jabber-browse jabber-search jabber-register jabber-roster
jabber-presence jabber-muc jabber-bookmarks jabber-private
jabber-muc-nick-coloring hexrgb jabber-widget jabber-disco jabber-chat
jabber-history jabber-chatbuffer jabber-alert jabber-iq jabber-core
jabber-console sgml-mode dom ewoc jabber-keymap jabber-sasl sasl
sasl-anonymous sasl-login sasl-plain fsm jabber-logon jabber-conn srv
dns jabber-xml jabber-menu jabber-util cl network-stream nsm starttls
erc-list erc-menu erc-join erc-ring erc-networks erc-pcomplete erc-track
erc-match erc-button erc-fill erc-stamp erc-netsplit erc-goodies erc
erc-backend erc-compat pp hl-line org-duration diary-lib diary-loaddefs
cal-iso vc-git diff-mode autoinsert org-eldoc org-indent image-file
disp-table org-crypt org-mime ox-org ox-texinfo ox-html table ox-beamer
ox-latex ox-ascii ox-publish ox xml org-habit org-toc man org-invoice
org-info org-gnus nnir gnus-sum org-bbdb org-agenda init init-flycheck
flycheck-status-emoji flycheck-pos-tip pos-tip flycheck-color-mode-line
face-remap flycheck json map dash init-misc zenburn-theme init-defuns
init-html init-erc init-editing-utils server init-javascript init-lisp
evil-paredit paredit init-org org-id ob-sql ob-scheme geiser-impl
help-fns radix-tree geiser-custom geiser-base geiser ob-python ob-perl
ob-js ob-ledger ob-gnuplot ob-haskell ob-C cc-mode cc-fonts cc-guess
cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs ob-calc
calc-store calc-trail calc-ext calc calc-loaddefs calc-macs ob-awk
init-gui-frames saveplace bbdb-mua bbdb-com crm bbdb-message bbdb
bbdb-site timezone gnus-demon nntp gnus-group gnus-undo gnus-start
gnus-cloud nnimap nnmail mail-source tls gnutls utf7 netrc parse-time
gnus-spec gnus-win nnoo gnus-int gnus-range message rmc puny dired-async
async dired-aux dired dired-loaddefs rfc822 mml mml-sec epa derived epg
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader init-gnus-secret smtpmail sendmail gnus nnheader gnus-util
rmail rmail-loaddefs rfc2047 rfc2045 ietf-drums mail-utils mm-util
mail-prsvr wid-edit init-load-small-packages
smart-mode-line-powerline-theme powerline powerline-separators color
powerline-themes smart-mode-line rich-minority helm-flx fullframe
yasnippet-snippets yasnippet elec-pair use-package-bind-key which-key
autorevert filenotify init-check-network-connection init-autoinsert
init-evil-rebellion-clone init-evil evil-args evil-goggles pulse
evil-surround evil evil-integration undo-tree diff evil-maps
evil-commands reveal flyspell ispell evil-jumps evil-command-window
evil-types evil-search evil-ex shell evil-macros evil-repeat evil-states
evil-core evil-common windmove thingatpt rect evil-digraphs evil-vars
use-package-diminish org-element avl-tree generator org advice org-macro
org-footnote org-pcomplete pcomplete org-list org-faces org-entities
noutline outline org-version ob-emacs-lisp ob ob-tangle org-src ob-ref
ob-lob ob-table ob-keys ob-exp ob-comint comint ansi-color ring ob-core
ob-eval org-compat org-macs org-loaddefs format-spec find-func cal-menu
calendar cal-loaddefs bind-key easy-mmode diminish cl-extra help-mode
use-package-ensure use-package-core subr-x init-elpa init-utils
finder-inf edmacro kmacro rx info package easymenu epg-config
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib time-date mule-util tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote dbusbind inotify lcms2 dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 1172655 117494)
 (symbols 48 68595 692)
 (miscs 40 4728 3774)
 (strings 32 236544 21531)
 (string-bytes 1 6988741)
 (vectors 16 121386)
 (vector-slots 8 2779732 94758)
 (floats 8 941 501)
 (intervals 56 47189 3777)
 (buffers 992 86))